#!/usr/bin/python

import re
from distutils.core import setup

def get_version():
    return re.search(r"""__version__\s+=\s+(?P<quote>['"])(?P<version>.+?)(?P=quote)""", open('miproxy/__init__.py').read()).group('version')

setup(name         = "opensips-mi-proxy",
      version      = get_version(),
      author       = "Luci Stanescu",
      author_email = "luci@ag-projects.com",
      description  = "OpenSIPS MI Proxy",
      license      = "Commercial",
      platforms    = ["Platform Independent"],
      classifiers  = [
          #"Development Status :: 1 - Planning",
          #"Development Status :: 2 - Pre-Alpha",
          "Development Status :: 3 - Alpha",
          #"Development Status :: 4 - Beta",
          #"Development Status :: 6 - Mature",
          #"Development Status :: 7 - Inactive",
          "Intended Audience :: Service Providers",
          "License :: Commercial",
          "Operating System :: OS Independent",
          "Programming Language :: Python"
      ],
      packages     = ['miproxy'],
      scripts      = ['opensips-mi-proxy', 'mi-rpc-client']
)
